# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%global __requires_exclude devel\\(
%define _disable_ld_no_undefined 1

Name: x11-driver-video-intel
Version: 2.99.917
Release: %mkrel 42
Summary: X.org driver for Intel graphics controllers
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
License: MIT
ExclusiveArch: %{ix86} x86_64 ia64

BuildRequires: flex 
BuildRequires: bison
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xvmc)
BuildRequires: pkgconfig(xfont)
BuildRequires: GL-devel
BuildRequires: pkgconfig(libdrm) >= 2.4.25
BuildRequires: x11-proto-devel
BuildRequires: x11-util-macros
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(xcb) >= 1.5 
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(cairo)
BuildRequires: python
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(pixman-1)

Requires(post): update-alternatives
Requires(postun): update-alternatives
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Recommends: vaapi-driver-intel

Conflicts: xorg-x11-server < 7.0
Obsoletes: x11-driver-video-intel13 <= 1.9.94

Obsoletes: x11-driver-video-i810
Obsoletes: x11-driver-video-i810-downscaling
Obsoletes: x11-driver-video-intel-fast-i830

# upstream 2.99.917..master sync
# commit 8f33f80100096f7790c7b819ce37a3ed8ce8b5fa
# git clone git://anongit.freedesktop.org/xorg/driver/xf86-video-intel
# git diff 2.99.917..master --name-only | grep -v \.gitignore | xargs git diff 2.99.917..master --
Patch1:    xf86-video-intel-2.99.917-git.patch

# https://bugs.freedesktop.org/show_bug.cgi?id=96255#c11
# (tmb) disable for now, should not be needed according to c14
#Patch4:     0001-sna-Avoid-clobbering-output-physical-size-with-xf86O.patch

# Mandriva patches
# (cg) Disable for now as it hits an assert on Xserver 1.9
#Patch101: 0101-fix-NoneBG-support.patch

%description
x11-driver-video-intel is the X.org driver for Intel video chipsets.

%prep
%setup -q -n xf86-video-intel-%{version}
%autopatch -p1

%build
%configure2_5x --enable-sna --with-default-accel=sna --enable-glamor --enable-tools
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/xorg/modules/drivers/i810_drv.*
rm -f %{buildroot}%{_mandir}/man4/i810.4*

mkdir -p %{buildroot}%{_libdir}/xorg/modules/drivers/intel-common
mv %{buildroot}%{_libdir}/xorg/modules/drivers/intel_drv.* %{buildroot}%{_libdir}/xorg/modules/drivers/intel-common

%clean
rm -rf %{buildroot}

# (cg) NB. Alternatives are used here due to the use of a now obsoleted
# fast-i830 subpackage for some netbook chipsets.
# The alternatives system currently remains but only one pacakge will provide
# the 'alternative'. I will leave this in place for a while just incase
# we need to resurrect a chip-specific package again in the near future
# but if it proves unnecessary it should be tidied up.

# use posttrans so that files from old package are removed first
%posttrans
%{_sbindir}/update-alternatives \
  --install %{_libdir}/xorg/modules/drivers/intel_drv.so x11-intel-so %{_libdir}/xorg/modules/drivers/intel-common/intel_drv.so 20 \
  --slave   %{_libdir}/xorg/modules/drivers/intel_drv.la x11-intel-la %{_libdir}/xorg/modules/drivers/intel-common/intel_drv.la

%postun
[ $1 = 0 ] || exit 0
%{_sbindir}/update-alternatives --remove x11-intel-so %{_libdir}/xorg/modules/drivers/intel-common/intel_drv.so

%files
%{_bindir}/intel-virtual-output
%{_libdir}/libI810XvMC.la
%{_libdir}/libI810XvMC.so
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%{_libdir}/libIntelXvMC.la
%{_libdir}/libIntelXvMC.so
%{_libdir}/libIntelXvMC.so.1
%{_libdir}/libIntelXvMC.so.1.0.0
%dir %{_libdir}/xorg/modules/drivers/intel-common
%{_libdir}/xorg/modules/drivers/intel-common/intel_drv.*
/usr/libexec/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%{_mandir}/man4/i*


%changelog
* Wed Jan 10 2018 tmb <tmb> 2.99.917-42.mga6
+ Revision: 1192013
- update fixes from git

* Sat Jun 03 2017 tmb <tmb> 2.99.917-39.mga6
+ Revision: 1106368
- sna: Use a slightly larger preallocated array for properties
- sna: Fix fallback clearing of the shadow

* Sat Apr 01 2017 tmb <tmb> 2.99.917-38.mga6
+ Revision: 1095602
- update to 2017-03-25 snapshot

* Thu Mar 02 2017 tmb <tmb> 2.99.917-37.mga6
+ Revision: 1088529
- update to 2017-02-28 snapshot

* Thu Jan 05 2017 tmb <tmb> 2.99.917-36.mga6
+ Revision: 1080247
- update to 20170103 snapshot

* Tue Dec 06 2016 tmb <tmb> 2.99.917-35.mga6
+ Revision: 1072852
- revert broken forced modesetting for skylake+

* Tue Dec 06 2016 tv <tv> 2.99.917-34.mga6
+ Revision: 1072838
- Avoid clobbering output physical size, should fix hidpi on Surface 3
- xorg-x11-drv-intel hardly has any accel on skylake and newer, so make Xorg
  fallback to modesetting + glamor by returning FALSE from probe
   - Using glamor also gives us proper Xvideo support on skylake (rhbz#1305369)

* Thu Dec 01 2016 tv <tv> 2.99.917-33.mga6
+ Revision: 1071433
- Handle xf86Randr12 gamma changes in xorg-xserver-1.19

* Thu Nov 17 2016 tv <tv> 2.99.917-32.mga6
+ Revision: 1067701
- rebuild for xserver 1.19

* Sat Nov 12 2016 tmb <tmb> 2.99.917-30.mga6
+ Revision: 1066853
- update to 2016-11-11 snapshot

  + ghibo <ghibo>
    - Update driver to from git 20160923 to 20161105 (mainly fixes https://bugs.freedesktop.org/show_bug.cgi?id=95414 and 98375 and 93844).

* Sun Sep 25 2016 ghibo <ghibo> 2.99.917-28.mga6
+ Revision: 1056165
- update to latest code from git as of 2016-09-22

* Sat Jul 23 2016 tmb <tmb> 2.99.917-27.mga6
+ Revision: 1043245
- rebuild for xorg-server 1.18.4

* Tue Jul 05 2016 tmb <tmb> 2.99.917-26.mga6
+ Revision: 1038940
- sync in fixes from upstream git

* Mon May 02 2016 tmb <tmb> 2.99.917-25.mga6
+ Revision: 1008694
- update to latest code from git

  + tv <tv>
    - remove BR on gcc5

* Fri Apr 22 2016 tv <tv> 2.99.917-24.mga6
+ Revision: 1005179
- add missing BRs for tools
- BR pkgconfig(x11) + pkgconfig(xcb-dri3) for --enable-tools
- fix build: add --enable-tools
- really update to a newer snapshot FC

* Fri Apr 22 2016 tv <tv> 2.99.917-23.mga6
+ Revision: 1004934
- update to a newer snapshot FC

* Fri Jan 29 2016 luigiwalser <luigiwalser> 2.99.917-22.mga6
+ Revision: 928582
- do not require specific version of update-alternatives

* Thu Nov 19 2015 blino <blino> 2.99.917-21.mga6
+ Revision: 904116
- build only on ix86 and x86_64 since the driver supports only integrated graphics (and not the standalone 740/752)

* Wed Nov 18 2015 blino <blino> 2.99.917-20.mga6
+ Revision: 904100
- update git snapshot to fix crash with vlc (0340718366d7cb168a46930eb7be22f2d88354d8)

* Wed Nov 11 2015 tv <tv> 2.99.917-19.mga6
+ Revision: 902266
- submit to core/release

* Wed Nov 11 2015 tv <tv> 2.99.917-18.mga6
+ Revision: 902033
- BR pkgconfig(xfont)
- git snapshot compatible with xserver 1.18
- rebuild for new xserver

* Fri Aug 21 2015 tmb <tmb> 2.99.917-17.mga6
+ Revision: 867089
- rebuild for new gcc

* Thu Aug 20 2015 tmb <tmb> 2.99.917-16.mga6
+ Revision: 866721
- rebuild with gcc 5.2.1

* Sat Jun 20 2015 tv <tv> 2.99.917-15.mga6
+ Revision: 835920
- rebuild for xserver 1.17

* Fri Mar 20 2015 tmb <tmb> 2.99.917-14.mga5
+ Revision: 819050
- sync in more upstream fixes

* Wed Mar 11 2015 tmb <tmb> 2.99.917-13.mga5
+ Revision: 818326
- sna/gen6+: Prefer the BLT for small copies
- sna/gen6+: Demote priority of COPY_LAST for copy boxes
- sna: Strengthen assertions that batches are idle before overwriting
- sna: Force frontbuffer to CPU for randr fallback

* Fri Mar 06 2015 tmb <tmb> 2.99.917-12.mga5
+ Revision: 817938
- more upstream fixes

* Fri Feb 27 2015 tmb <tmb> 2.99.917-11.mga5
+ Revision: 817186
- sync in more fixes from upstream

* Sat Feb 21 2015 tmb <tmb> 2.99.917-10.mga5
+ Revision: 816259
- build against glamor provided by x11-server
- sync with upstream

* Sat Feb 07 2015 tmb <tmb> 2.99.917-8.mga5
+ Revision: 813943
- more upstream fixes

* Wed Feb 04 2015 tmb <tmb> 2.99.917-7.mga5
+ Revision: 813495
- sync with upstream

* Wed Jan 21 2015 tmb <tmb> 2.99.917-6.mga5
+ Revision: 811713
- sna/dri2: Track tracking of active-scanout for back buffer replacement
- sna/dri2: Exchange flags when exchanging DRI2Buffers after SwapBuffers
- sna/gen6+: Prefer not to switch away from active RENDER pipeline
- sna: Provide a few compiler hints
- Set the vdpau driver to va_gl
- sna: Add a loud DBG message when enabled
- sna: Add missing include of DPMS constants
- sna: Keep front_active consistent across DPMS events
- sna/dri2: Prefer to use normal selection criteria for CopyRegion on small GT

* Thu Jan 15 2015 tmb <tmb> 2.99.917-5.mga5
+ Revision: 810843
- sna: Only instantiate the frontbuffer on the GPU if used
- sna: Wrap direct access to ScrnInfoPtr->pScreen
- sna: Actually check for has_wc_mmap before use
- sna/dri2: Add a DBG message for when Xorg triple buffering is available
- sna/gen6+: Prefer using RENDER pipeline for uncached destinations on large GT

* Tue Jan 13 2015 tmb <tmb> 2.99.917-4.mga5
+ Revision: 810369
- sna: Add mmap(wc) handling to has_coherent_ptr assertion
- sna: Differentiate between disabling CRTC and turning off DPMS
- sna: Allow use of mmap(wc) for inplace GetImage
- sna: Capitlize log message "display hotplut detection"
- sna: Add a couple of guards against using the GPU to write into snooped bo
- sna: Replace assert with conditional setting of sna_pixmap->mapped
- sna: Wrap mmap accessors with sigtrap to catch oom SIGBUS
- sna: Actually set the priv->mapped type for mmap(wc)
- sna: Disable detiling for gen2
- sna/dri2: Fix build with DRI2INFOREC version 5
- sna: Add basic unswizzled manual detilers for gen2
- sna: Use correct octal value for gen3
- sna: Throw away CRTC damage if the CRTC is outside the  screen bounds
- sna: Add a small DBG message for when PRIME slave tracking is enabled
- sna: Combine slave CRTC offsets with rotation

* Thu Jan 08 2015 tmb <tmb> 2.99.917-3.mga5
+ Revision: 809314
- sna: Don't record old vblank events
- sna: Don't force a batch flush at the start of a BLT fill op
- sna: Enable mmap(wc) support by default
- sna/video: Do an early check for a wedged GPU before texturing
- sna: Reject CPU blits that require format conversions
- sna: Disable GPU preferences when marking it as wedged
- sna: Allow scanouts to force late attachment
- sna: Clip copy to CRTC shadow
- sna: Allow scanouts to be directly accessed via the GTT even when wedged
- sna: Copy mode.vrefresh between kernel and X
- sna/video: Provide fallback support for filling the colorkey
- sna/video: Reuse fallback colorkey filler from overlay for sprites
- sna/trapezoids: Fix typo in construction of polygon lines

* Tue Dec 30 2014 tmb <tmb> 2.99.917-2.mga5
+ Revision: 807372
- sna/gen7: Limit threads on Haswell GT1

* Sun Dec 21 2014 tmb <tmb> 2.99.917-1.mga5
+ Revision: 804643
- update to 2.99.917 (hopefully last prerelease before 3.0 final)

* Wed Oct 15 2014 umeabot <umeabot> 2.99.916-3.mga5
+ Revision: 746069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.99.916-2.mga5
+ Revision: 690433
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Mon Sep 08 2014 tmb <tmb> 2.99.916-1.mga5
+ Revision: 673580
- update to 2.99.916

* Sun Aug 31 2014 tv <tv> 2.99.914-5.mga5
+ Revision: 669829
- fix segfault (mga#14019, fdo#83287)

* Thu Aug 21 2014 blino <blino> 2.99.914-4.mga5
+ Revision: 666124
- rebuild for x11-proto-devel with presentproto fix

* Thu Aug 21 2014 blino <blino> 2.99.914-3.mga5
+ Revision: 666106
- rebuild for xcb-present 1.11

* Mon Jul 28 2014 tv <tv> 2.99.914-2.mga5
+ Revision: 657776
- disable DRI3 again

* Wed Jul 23 2014 tv <tv> 2.99.914-1.mga5
+ Revision: 655991
- new release

* Sat Jun 14 2014 tv <tv> 2.99.912-2.mga5
+ Revision: 636095
- disable DRI3 support (causes gnome-shell to hang) (from FC)

* Tue Jun 10 2014 tv <tv> 2.99.912-1.mga5
+ Revision: 635370
- new release

* Mon Jun 09 2014 tv <tv> 2.99.911-4.mga5
+ Revision: 634966
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2.99.911-3.mga5
+ Revision: 633634
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 2.99.911-2.mga5
+ Revision: 614313
- rebuild for new xserver

* Thu Mar 20 2014 tv <tv> 2.99.911-1.mga5
+ Revision: 606008
- adjust file list
- new release

* Mon Feb 10 2014 tv <tv> 2.99.910-1.mga5
+ Revision: 589103
- new release

* Tue Feb 04 2014 tv <tv> 2.99.909-1.mga5
+ Revision: 582184
- new release
- drop merged patches

* Sun Jan 05 2014 tmb <tmb> 2.99.907-2.mga4
+ Revision: 564771
- sna/gen7+: Emit invalidate between operations if rendering to source/mask

* Mon Dec 30 2013 tv <tv> 2.99.907-1.mga4
+ Revision: 563335
- new release

* Wed Dec 18 2013 colin <colin> 2.99.906-4.mga4
+ Revision: 558506
- Add missing buildrequires for the virtual tools
- Add upstream patch for firefox/thunderbird rendering glitches
- Build support for virtual tools

* Fri Dec 06 2013 tmb <tmb> 2.99.906-3.mga4
+ Revision: 555558
- rebuild for new mesa

* Wed Dec 04 2013 tmb <tmb> 2.99.906-2.mga4
+ Revision: 555151
- try build with mesa 10

* Wed Nov 13 2013 tv <tv> 2.99.906-1.mga4
+ Revision: 550956
- drop merged patch
- new release

* Mon Oct 28 2013 lmenut <lmenut> 2.99.905-2.mga4
+ Revision: 547748
- sna: add upstream patch to fix segfaults when switching to custom
        modeline resolution (fdo#70835)

* Wed Oct 23 2013 tv <tv> 2.99.905-1.mga4
+ Revision: 546577
- new release

* Tue Oct 22 2013 umeabot <umeabot> 2.99.904-3.mga4
+ Revision: 545755
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 tmb <tmb> 2.99.904-2.mga4
+ Revision: 501719
- sna: Sanitize output->crtc before falling back to xf86InitialConfiguration

* Thu Oct 10 2013 tv <tv> 2.99.904-1.mga4
+ Revision: 494629
- new release

* Sun Sep 29 2013 tv <tv> 2.99.903-1.mga4
+ Revision: 488999
- new release

* Thu Sep 19 2013 tv <tv> 2.99.902-2.mga4
+ Revision: 481554
- compile with glamor support

* Wed Sep 11 2013 tv <tv> 2.99.902-1.mga4
+ Revision: 477770
- new release

* Wed Aug 21 2013 tmb <tmb> 2.21.15-1.mga4
+ Revision: 469033
- update to 2.21.15

* Sun Aug 11 2013 tmb <tmb> 2.21.14-3.mga4
+ Revision: 465413
- rebuild with new gcc

* Sun Aug 04 2013 tmb <tmb> 2.21.14-2.mga4
+ Revision: 463557
- gcc-4.8.2 build

* Sun Aug 04 2013 tmb <tmb> 2.21.14-1.mga4
+ Revision: 463556
- update to 2.21.14

* Thu Aug 01 2013 tmb <tmb> 2.21.13-4.mga4
+ Revision: 462261
- force gcc 4.8.2 build

* Thu Aug 01 2013 tmb <tmb> 2.21.13-3.mga4
+ Revision: 462188
- test gcc-4.8.2 build

* Thu Aug 01 2013 tmb <tmb> 2.21.13-2.mga4
+ Revision: 462181
- enable sna acceleration by default

* Sun Jul 28 2013 tmb <tmb> 2.21.13-1.mga4
+ Revision: 459740
- update to 2.21.13

* Sun Jul 14 2013 tv <tv> 2.21.12-1.mga4
+ Revision: 454117
- new release

* Mon Jul 01 2013 tv <tv> 2.21.11-1.mga4
+ Revision: 449312
- new release

* Sat Jun 22 2013 blino <blino> 2.21.10-1.mga4
+ Revision: 445774
- 2.21.10

* Fri Jun 07 2013 tv <tv> 2.21.9-1.mga4
+ Revision: 438799
- new release

* Thu May 30 2013 tv <tv> 2.21.8-2.mga4
+ Revision: 433104
- submit to core/release

* Mon May 27 2013 tv <tv> 2.21.8-1.mga4
+ Revision: 428900
- new release

* Fri May 24 2013 tv <tv> 2.21.7-1.mga4
+ Revision: 425740
- drop merged patch
- new release

* Thu May 02 2013 tmb <tmb> 2.21.6-2.mga3
+ Revision: 412025
- Add all reserved PCI-IDs for Haswell

* Sun Apr 07 2013 tmb <tmb> 2.21.6-1.mga3
+ Revision: 408718
- 2.21.6 (maintenance, bugfixes)

* Sat Mar 23 2013 tmb <tmb> 2.21.5-1.mga3
+ Revision: 404650
- 2.21.5 (bugfixes, haswell improvements)

* Fri Mar 15 2013 tmb <tmb> 2.21.4-1.mga3
+ Revision: 403297
- 2.21.4 (maintenance & bugfixes)

* Thu Feb 21 2013 tmb <tmb> 2.21.3-1.mga3
+ Revision: 399648
- 2.21.3 (bugfixes)

* Sun Feb 10 2013 tmb <tmb> 2.21.2-1.mga3
+ Revision: 397766
- 2.21.2: bugfixes

* Thu Feb 07 2013 tmb <tmb> 2.21.0-1.mga3
+ Revision: 395015
- 2.21.0: improved haswell support, bugfixes

* Sun Jan 20 2013 tmb <tmb> 2.20.19-1.mga3
+ Revision: 390140
- 2.20.19 (bugfixes)

* Wed Jan 16 2013 tmb <tmb> 2.20.18-1.mga3
+ Revision: 388790
- 2.20.18 (bugfix & maintenance release)

* Mon Jan 14 2013 umeabot <umeabot> 2.20.17-2.mga3
+ Revision: 385986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 tv <tv> 2.20.17-1.mga3
+ Revision: 335396
- new release

* Sat Dec 15 2012 tv <tv> 2.20.16-1.mga3
+ Revision: 331092
- new release

* Mon Dec 03 2012 tv <tv> 2.20.15-1.mga3
+ Revision: 325919
- new release

* Mon Nov 26 2012 tv <tv> 2.20.14-1.mga3
+ Revision: 322099
- new release

* Sun Nov 11 2012 tv <tv> 2.20.13-1.mga3
+ Revision: 317065
- new release

* Sat Oct 20 2012 tv <tv> 2.20.12-1.mga3
+ Revision: 308486
- new release

* Sat Oct 20 2012 tv <tv> 2.20.11-1.mga3
+ Revision: 308420
- new release

* Sun Oct 14 2012 tv <tv> 2.20.10-1.mga3
+ Revision: 305547
- new release

* Sat Sep 29 2012 tmb <tmb> 2.20.9-1.mga3
+ Revision: 300141
- drop P0 (merged)

  + tv <tv>
    - new release

* Mon Sep 24 2012 tmb <tmb> 2.20.8-2.mga3
+ Revision: 297018
- Reorder INTEL_XVMC define so that we pick up Option XvMC (P0, upstream)

* Sun Sep 16 2012 tv <tv> 2.20.8-1.mga3
+ Revision: 294378
- new release
- new release

* Sat Sep 08 2012 tv <tv> 2.20.7-1.mga3
+ Revision: 290581
- new release

* Thu Sep 06 2012 tv <tv> 2.20.6-2.mga3.nonfree
+ Revision: 288933
- rebuild for new xserver

* Sun Sep 02 2012 tv <tv> 2.20.6-1.mga3
+ Revision: 287324
- new release

* Sun Aug 26 2012 tv <tv> 2.20.5-1.mga3
+ Revision: 284278
- new release

* Sun Aug 19 2012 tmb <tmb> 2.20.4-1.mga3
+ Revision: 282071
- update to 2.20.4

* Sat Aug 04 2012 tv <tv> 2.20.3-1.mga3
+ Revision: 278433
- new release

* Fri Jul 27 2012 tmb <tmb> 2.20.2-1.mga3
+ Revision: 274939
- update to 2.20.2

* Mon Jul 23 2012 tv <tv> 2.20.1-1.mga3
+ Revision: 273665
- new release

* Sat Jul 21 2012 tmb <tmb> 2.20.0-1.mga3
+ Revision: 272976
- update to 2.20.0

* Thu Jul 19 2012 tmb <tmb> 2.19.0-9.mga3
+ Revision: 272402
- rebuild for new glibc

* Fri Jun 29 2012 tv <tv> 2.19.0-8.mga3
+ Revision: 265124
- enable SNA (default is still UXA, use Option "AccelMethod" to switch)

* Fri Jun 29 2012 colin <colin> 2.19.0-7.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Wed Jun 06 2012 tmb <tmb> 2.19.0-6.mga3
+ Revision: 256409
- rebuild for core/release

* Sun Jun 03 2012 fwang <fwang> 2.19.0-5.mga3
+ Revision: 253735
- rebuild for new xcb-util

* Fri Jun 01 2012 tv <tv> 2.19.0-4.mga3
+ Revision: 252965
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.19.0-3.mga3
+ Revision: 249804
- rebuild for new X.org server
- rebuild for new X.org server
- bump release
- fix ussues with new cairo

* Thu May 10 2012 tmb <tmb> 2.19.0-2.mga3
+ Revision: 235096
- push to release

* Wed May 02 2012 tmb <tmb> 2.19.0-1.mga2
+ Revision: 234487
- 2.19.0 (Sandy Bridge and Ivy Bridge stability fixes)

* Tue Mar 06 2012 anssi <anssi> 2.18.0-2.mga2
+ Revision: 219434
- add Suggests on vaapi-driver-intel

* Fri Feb 24 2012 tv <tv> 2.18.0-1.mga2
+ Revision: 213923
- new release

* Tue Dec 06 2011 tmb <tmb> 2.17.0-3.mga2
+ Revision: 177440
- submit to core/release

* Thu Nov 17 2011 tv <tv> 2.17.0-2.mga2
+ Revision: 168332
- rebuild for xserver-1.12

* Thu Nov 17 2011 tv <tv> 2.17.0-1.mga2
+ Revision: 168327
- new release

* Sat Oct 08 2011 tv <tv> 2.16.0-3.mga2
+ Revision: 153302
- really rebuild for xserver-1.11

* Sat Oct 08 2011 colin <colin> 2.16.0-2.mga2
+ Revision: 153028
- Rebuild for new x11-server
- Remove patches already included upstream

  + tv <tv>
    - new release
    - new prerelease

* Wed Jul 13 2011 ahmad <ahmad> 2.15.0-3.mga2
+ Revision: 123756
- Add two patches from upstream GIT to fix an X server crash in KDE4
  https://bugs.freedesktop.org/show_bug.cgi?id=36319
  should fix (mga#2067)

* Wed Jul 06 2011 fwang <fwang> 2.15.0-2.mga2
+ Revision: 119374
- rebuild for new xcb-util

* Thu Apr 14 2011 tv <tv> 2.15.0-1.mga1
+ Revision: 85152
- new release

* Tue Apr 12 2011 tv <tv> 2.14.903-1.mga1
+ Revision: 83586
- new RC

* Mon Apr 04 2011 colin <colin> 2.14.902-1.mga1
+ Revision: 80291
- New RC

* Fri Mar 04 2011 tv <tv> 2.14.901-1.mga1
+ Revision: 64453
- new release

* Fri Mar 04 2011 tv <tv> 2.14.0-2.mga1
+ Revision: 64398
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 2.14.0-1.mga1
+ Revision: 35224
- imported package x11-driver-video-intel

